Get auction history (GEX time series)
curl --request GET \
--url https://api.example.com/api/graph/v1/regime/{symbol}/auction-historyimport requests
url = "https://api.example.com/api/graph/v1/regime/{symbol}/auction-history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/graph/v1/regime/{symbol}/auction-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"symbol": "<string>",
"hours": 123,
"resolution": "<string>",
"points": [
{
"time": "2023-11-07T05:31:56Z",
"spot_price": 123,
"total_gex": 123,
"gex_regime": "<string>",
"net_vanna": 123,
"net_charm": 123,
"gamma_flip_strike": 123,
"gex_proximity": 123
}
],
"summary": {
"regime_transitions": 123,
"avg_gex": 123,
"dominant_regime": "<string>",
"flip_strike_range": {
"[0]": 123,
"[1]": 123
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Market Microstructure
Get auction history (GEX time series)
Get downsampled GEX auction history with summary statistics.
GET
/
api
/
graph
/
v1
/
regime
/
{symbol}
/
auction-history
Get auction history (GEX time series)
Path Parameters
Query Parameters
Required range:
1 <= x <= 168Pattern:
^(1min|5min|15min|1h)$Response
Successful Response
Auction history with downsampled time series and summary.